package com.ruoyi.bst.part.service;

import java.util.List;

public interface PartValidator {


    /**
     * 判断当前用户是否可以选择制定分区
     * @param partId 分区ID
     * @return 是否允许
     */
    boolean canCheckForPart(Long partId);


    /**
     * 当前用户是否可以编辑分区
     * @param partId 分区ID
     * @return 是否可以编辑
     */
    boolean canEdit(Long partId);

    /**
     * 当前用户是否可以删除分区
     * @param partIds 分区ID列表
     * @return 是否可以删除
     */
    boolean canDeleteAll(List<Long> partIds);
}
